Freeciv-3.3: civ_map Struct Reference

Freeciv-3.3

Loading...
Searching...
No Matches
Data Fields
civ_map Struct Reference

`#include <map_types.h>`

## Data Fields

int | topology_id
int | wrap_id
bool | altitude_info
enum direction8 | valid_dirs [8]
enum direction8 | cardinal_dirs [8]
int | num_valid_dirs
int | num_cardinal_dirs
struct iter_index * | iterate_outwards_indices
int | num_iterate_outwards_indices
int | xsize
int | ysize
int | north_latitude
int | south_latitude
int | num_continents
int | num_oceans
struct tile * | tiles
struct startpos_hash * | startpos_table
union { |
struct { |
enum mapsize_type mapsize |
int size |
int tilesperplayer |
randseed seed_setting |
randseed seed |
int riches |
int huts |
int huts_absolute |
int animals |
int landpercent |
enum map_generator generator |
enum map_startpos startpos |
bool tinyisles |
bool separatepoles |
int flatpoles |
int temperature |
int wetness |
int steepness |
bool ocean_resources |
bool have_huts |
bool have_resources |
enum team_placement team_placement |
} server |
}; |  |

## Detailed Description

Definition at line 71 of file map_types.h.

## Field Documentation

## ◆ [union]

union { ... } civ_map

## ◆ altitude_info

bool civ_map::altitude_info

Definition at line 74 of file map_types.h.

Referenced by handle_map_info(), height_map_to_map(), send_map_info(), sg_load_map(), and sg_save_map().

## ◆ animals

int civ_map::animals

Definition at line 97 of file map_types.h.

Referenced by create_animals().

## ◆ cardinal_dirs

enum direction8 civ_map::cardinal_dirs[8]

Definition at line 75 of file map_types.h.

Referenced by map_init_topology().

## ◆ flatpoles

int civ_map::flatpoles

Definition at line 103 of file map_types.h.

Referenced by hmap_pole_factor(), and make_pseudofractal1_hmap().

## ◆ generator

enum map_generator civ_map::generator

Definition at line 99 of file map_types.h.

Referenced by make_land(), map_fractal_generate(), map_generate_fair_islands(), mapgenerator2(), mapgenerator3(), sg_load_map(), sg_load_map(), sg_load_map_tiles_extras(), sg_save_settings(), and srv_ready().

## ◆ have_huts

bool civ_map::have_huts

Definition at line 108 of file map_types.h.

Referenced by map_fractal_generate(), map_generate_fair_islands(), sg_extras_set_bv(), sg_extras_set_bv(), sg_extras_set_dbv(), sg_extras_set_dbv(), sg_load_map(), sg_load_map(), sg_save_map(), sg_special_set_bv(), and sg_special_set_dbv().

## ◆ have_resources

bool civ_map::have_resources

Definition at line 109 of file map_types.h.

Referenced by add_resources(), map_fractal_generate(), map_generate_fair_islands(), sg_load_map(), sg_load_map_tiles_resources(), and srv_ready().

## ◆ huts

int civ_map::huts

Definition at line 95 of file map_types.h.

Referenced by fair_map_island_new(), fair_map_make_huts(), generator_init_topology(), map_fractal_generate(), and map_generate_fair_islands().

## ◆ huts_absolute

int civ_map::huts_absolute

Definition at line 96 of file map_types.h.

Referenced by compat_load_020600(), generator_init_topology(), huts_action(), and huts_help().

## ◆ iterate_outwards_indices

struct iter_index* civ_map::iterate_outwards_indices

Definition at line 77 of file map_types.h.

Referenced by generate_map_indices().

## ◆ landpercent

int civ_map::landpercent

Definition at line 98 of file map_types.h.

Referenced by adjust_terrain_param(), generator_init_topology(), make_land(), make_pseudofractal1_hmap(), make_rivers(), map_generate_fair_islands(), mapgenerator2(), mapgenerator3(), and mapgenerator4().

## ◆ mapsize

enum mapsize_type civ_map::mapsize

Definition at line 89 of file map_types.h.

Referenced by generator_init_topology(), map_generate_fair_islands(), topology_callback(), and ysize_callback().

## ◆ north_latitude

int civ_map::north_latitude

Definition at line 80 of file map_types.h.

Referenced by compat_load_030200(), handle_map_info(), and send_map_info().

## ◆ num_cardinal_dirs

int civ_map::num_cardinal_dirs

Definition at line 76 of file map_types.h.

Referenced by map_init_topology().

## ◆ num_continents

int civ_map::num_continents

Definition at line 82 of file map_types.h.

Referenced by achievement_check(), adv_data_get(), adv_data_phase_init(), assign_continent_numbers(), create_start_positions(), dai_plr_data_get(), handle_tile_info(), initialize_isle_data(), and make_island().

## ◆ num_iterate_outwards_indices

int civ_map::num_iterate_outwards_indices

Definition at line 78 of file map_types.h.

Referenced by generate_map_indices().

## ◆ num_oceans

int civ_map::num_oceans

Definition at line 83 of file map_types.h.

Referenced by adv_data_get(), adv_data_phase_init(), assign_continent_numbers(), dai_plr_data_get(), map_fractal_generate(), recalculate_lake_surrounders(), and regenerate_lakes().

## ◆ num_valid_dirs

int civ_map::num_valid_dirs

Definition at line 76 of file map_types.h.

Referenced by map_init_topology().

## ◆ ocean_resources

bool civ_map::ocean_resources

Definition at line 107 of file map_types.h.

Referenced by add_resources(), load_ruleset_terrain(), and save_terrain_ruleset().

## ◆ riches

int civ_map::riches

Definition at line 94 of file map_types.h.

Referenced by fair_map_island_new(), fair_map_make_resources(), map_fractal_generate(), and map_generate_fair_islands().

## ◆ seed

randseed civ_map::seed

Definition at line 93 of file map_types.h.

Referenced by map_fractal_generate(), and sg_save_map().

## ◆ seed_setting

randseed civ_map::seed_setting

Definition at line 92 of file map_types.h.

Referenced by map_fractal_generate(), and srv_ready().

## ◆ separatepoles

bool civ_map::separatepoles

Definition at line 102 of file map_types.h.

Referenced by generator_init_topology(), hmap_pole_factor(), and ok_for_separate_poles().

## ◆ [struct]

struct { ... } civ_map::server

Referenced by add_resources(), adjust_terrain_param(), calculate_city_clusters(), compat_load_020600(), create_animals(), create_tmap(), do_team_placement(), fair_map_island_new(), fair_map_make_huts(), fair_map_make_resources(), generator_init_topology(), hmap_pole_factor(), huts_action(), huts_help(), init_new_game(), load_ruleset_terrain(), make_fracture_map(), make_fracture_relief(), make_land(), make_pseudofractal1_hmap(), make_relief(), make_rivers(), map_fractal_generate(), map_generate_fair_islands(), mapgenerator2(), mapgenerator3(), mapgenerator4(), ok_for_separate_poles(), save_terrain_ruleset(), set_sizes(), sg_extras_set_bv(), sg_extras_set_bv(), sg_extras_set_dbv(), sg_extras_set_dbv(), sg_load_map(), sg_load_map(), sg_load_map_tiles_extras(), sg_load_map_tiles_resources(), sg_save_map(), sg_save_settings(), sg_special_set_bv(), sg_special_set_dbv(), srv_ready(), topology_callback(), and ysize_callback().

## ◆ size

int civ_map::size

Definition at line 90 of file map_types.h.

Referenced by generator_init_topology(), and set_sizes().

## ◆ south_latitude

int civ_map::south_latitude

Definition at line 81 of file map_types.h.

Referenced by compat_load_030200(), handle_map_info(), and send_map_info().

## ◆ startpos

enum map_startpos civ_map::startpos

Definition at line 100 of file map_types.h.

Referenced by map_fractal_generate(), map_generate_fair_islands(), and mapgenerator4().

## ◆ startpos_table

struct startpos_hash* civ_map::startpos_table

Definition at line 85 of file map_types.h.

Referenced by map_startpos_count(), map_startpos_get(), map_startpos_iter_init(), map_startpos_new(), and map_startpos_remove().

## ◆ steepness

int civ_map::steepness

Definition at line 106 of file map_types.h.

Referenced by adjust_terrain_param(), make_fracture_map(), make_fracture_relief(), and make_relief().

## ◆ team_placement

enum team_placement civ_map::team_placement

Definition at line 110 of file map_types.h.

Referenced by do_team_placement(), init_new_game(), and map_generate_fair_islands().

## ◆ temperature

int civ_map::temperature

Definition at line 104 of file map_types.h.

Referenced by adjust_terrain_param(), and create_tmap().

## ◆ tiles

struct tile* civ_map::tiles

Definition at line 84 of file map_types.h.

Referenced by map_calculate_borders(), map_is_empty(), rand_map_pos_filtered(), and texai_tile_info_recv().

## ◆ tilesperplayer

int civ_map::tilesperplayer

Definition at line 91 of file map_types.h.

Referenced by generator_init_topology(), and map_generate_fair_islands().

## ◆ tinyisles

bool civ_map::tinyisles

Definition at line 101 of file map_types.h.

Referenced by map_fractal_generate(), and map_generate_fair_islands().

## ◆ topology_id

int civ_map::topology_id

Definition at line 72 of file map_types.h.

Referenced by establish_new_connection(), handle_map_info(), handle_set_topology(), send_map_info(), tilespec_reread(), tilespec_reread_callback(), and wrap_action().

## ◆ valid_dirs

enum direction8 civ_map::valid_dirs[8]

Definition at line 75 of file map_types.h.

Referenced by map_init_topology().

## ◆ wetness

int civ_map::wetness

Definition at line 105 of file map_types.h.

Referenced by adjust_terrain_param().

## ◆ wrap_id

int civ_map::wrap_id

Definition at line 73 of file map_types.h.

Referenced by establish_new_connection(), handle_map_info(), handle_set_topology(), send_map_info(), and topology_action().

## ◆ xsize

int civ_map::xsize

Definition at line 79 of file map_types.h.

Referenced by generator_init_topology(), handle_map_info(), and set_sizes().

## ◆ ysize

int civ_map::ysize

Definition at line 79 of file map_types.h.

Referenced by generator_init_topology(), handle_map_info(), and set_sizes().